<solidify-base-action-dialog [titleToTranslate]="titleToTranslate | translate">
  <div [solidifySpinner]="isLoadingObs | async">
    <dlcm-admin-organizational-unit-additional-fields-form #formPresentational
                                                           (checkAvailableChange)="checkAvailable($event)"
                                                           (dirtyChange)="updateCanDeactivate($event)"
                                                           (submitChange)="update($event)"
                                                           [model]="data.additionalFieldsForm"
                                                           [readonly]="data.mode === 'detail'"
                                                           class="form"
    ></dlcm-admin-organizational-unit-additional-fields-form>
  </div>
</solidify-base-action-dialog>
<div mat-dialog-actions>
  <button [mat-dialog-close]=""
          [solidifyAutoFocus]="true"
          mat-button
          color="primary"
  >
    {{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="confirm(formPresentational?.form?.value)"
          (onEnter)="confirm(formPresentational?.form?.value)"
          *ngIf="data.mode !== 'detail'"
          [disabled]="formPresentational?.form?.invalid || formPresentational?.form?.pristine"
          [solidifyButtonSpinner]="isLoadingObs | async"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >
    {{confirmToTranslate | translate}}
  </button>
</div>
